#
# spec file for package
#
# Copyright (c) 2010 Dominique Leuenberger, Amsterdam, Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libfaad 2

Name:           faad2
Version:        2.7
Release:        15.3
License:        GPL
Summary:        Faad2 - the Freeware Advanced Audio Decoder
Url:            http://www.audiocoding.com/
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Packager: 	Dominique Leuenberger <dominique-rpm@leuenberger.net>

%description
The freeware advanced Audio Decoder. Used for MP4 Audio decoding.

%package devel
Summary:        FAAD2 Header files and Libraries
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Headers and libraries to link against FAAD2

%package -n libfaad%{libfaad}
Summary:        FAAD2 Shared Library
Group:          System/Libraries
Obsoletes:      libfaad2_0
Provides:       libfaad2_0

%description -n libfaad%{libfaad}
Shared Library faad2. To be added to the system by dependency solvers.

%prep
%setup

%build
#echo > plugins/Makefile.am
#echo > plugins/xmms/src/Makefile.am
#sed -i '/E_B/d' configure.in
#autoreconf -f -i
%configure --disable-static
make %{?jobs:-j %jobs}


%install
%makeinstall
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%post -n libfaad%{libfaad} -p /sbin/ldconfig

%postun -n libfaad%{libfaad} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/faad
%dir %{_mandir}/manm
%{_mandir}/manm/faad.man.gz

%files -n libfaad%{libfaad}
%defattr(-,root,root)
%{_libdir}/libfaad.so.%{libfaad}*

%files devel
%defattr(-,root,root)
%{_includedir}/faad.h
%{_includedir}/mp4ff*.h
%{_includedir}/neaacdec.h
%{_libdir}/libfaad.so
%{_libdir}/libmp4ff.a

%changelog
* Mon Apr 19 2010 dimstar@opensuse.org
- Update to version 2.7:
  + DAB+ support
  + Use public headers internally to prevent duplicate declarations
  + Explicitly typedef all types as signed
  + Made sure MAIN prediction can't be started after the first
    frame
  + Lot's of compilation issues solved
  + Bugfix in SBR envelope border calculation
